com.h3c.of.ctl.pipeline

## Interface MutableTableContext

- All Superinterfaces:
    MutableObject, MutableType<TableContext>

      public interface MutableTableContext
      extends MutableType<TableContext>, MutableObject

  Mutable variant of `TableContext`. Provides modification capability to the context.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MutableTableContext` | `addCapability(TableFeaturePropType prop, Set<? extends OfpCodeBasedEnum> caps)` Adds the given capability to the context.
    `MutableTableContext` | `addMatchField(OxmFieldType ft, boolean hasMask)` Adds the given match field to the context
    `MutableTableContext` | `addMatchFieldCapability(TableFeaturePropType prop, Set<? extends OxmFieldType> caps)` Adds the given match capability to the context.
    `MutableTableContext` | `addNextTable(TableId id)` Adds the given table Id to the next tables set.
    `MutableTableContext` | `addNextTableMiss(TableId id)` Adds the given table Id to the next tables miss set.
    `MutableTableContext` | `maxEntries(long max)` Sets the maxEntries in the context
    `MutableTableContext` | `tableId(TableId id)` Sets the table Id in the context.

    - ### Methods inherited from interface com.h3c.of.ctl.pipeline.MutableType

      `toImmutable`

    - ### Methods inherited from interface com.h3c.of.lib.MutableObject

      `writable`

- - ### Method Detail

    - #### tableId

          MutableTableContext tableId(TableId id)

      Sets the table Id in the context.
      Parameters:
        `id` - the tableId
      Returns:
        self, for chaining

    - #### maxEntries

          MutableTableContext maxEntries(long max)

      Sets the maxEntries in the context
      Parameters:
        `max` - the max entries
      Returns:
        self, for chaining

    - #### addNextTable

          MutableTableContext addNextTable(TableId id)

      Adds the given table Id to the next tables set.
      Parameters:
        `id` - the table Id
      Returns:
        self, for chaining

    - #### addNextTableMiss

          MutableTableContext addNextTableMiss(TableId id)

      Adds the given table Id to the next tables miss set.
      Parameters:
        `id` - the table Id
      Returns:
        self, for chaining

    - #### addCapability

          MutableTableContext addCapability(TableFeaturePropType prop,
                                          Set<? extends OfpCodeBasedEnum> caps)

      Adds the given capability to the context.
      Parameters:
        `prop` - the prop type of the capability
        `caps` - set of supported capability codes for this capability
      Returns:
        self, for chaining

    - #### addMatchFieldCapability

          MutableTableContext addMatchFieldCapability(TableFeaturePropType prop,
                                                    Set<? extends OxmFieldType> caps)

      Adds the given match capability to the context.
      Parameters:
        `prop` - the prop type of the capability
        `caps` - set of supported capability codes for this capability
      Returns:
        self, for chaining

    - #### addMatchField

          MutableTableContext addMatchField(OxmFieldType ft,
                                          boolean hasMask)

      Adds the given match field to the context
      Parameters:
        `ft` - the given match field type
        `hasMask` - given field mask bit
      Returns:
        self, for chaining

Copyright © 2014. All Rights Reserved.